=== debian/changelog ===
ros-indigo-usb-cam (0.3.4-0trusty) trusty; urgency=high

  * Installs launch files
  * Merge pull request #37 from tzutalin/develop
    Add a launch file for easy test
  * Add a launch file for easy test
  * Contributors: Russell Toris, tzu.ta.lin

 -- Russell Toris <rctoris@wpi.edu>  Tue, 18 Aug 2015 04:00:00 -0000

ros-indigo-usb-cam (0.3.3-0trusty) trusty; urgency=high

  * Merge pull request #36 from jsarrett/develop
    add gain parameter
  * add gain parameter
  * Contributors: James Sarrett, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 14 May 2015 04:00:00 -0000

ros-indigo-usb-cam (0.3.2-0trusty) trusty; urgency=high

  * Merge pull request #34 from eliasm/develop
    fixed check whether calibration file exists
  * fixed check whether calibration file exists
  * Contributors: Elias Mueggler, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Mar 2015 04:00:00 -0000

ros-indigo-usb-cam (0.3.1-0trusty) trusty; urgency=high

  * Merge pull request #32 from kmhallen/mono8
    Publish YUVMONO10 images as mono8 instead of rgb8
  * Publish YUVMONO10 images as mono8 instead of rgb8
  * Contributors: Kevin Hallenbeck, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 20 Feb 2015 05:00:00 -0000

ros-indigo-usb-cam (0.3.0-0trusty) trusty; urgency=high

  * Merge pull request #30 from mitchellwills/develop
    Removed global state from usb_cam by encapsulating it inside an object
  * Made device name a std::string instead of const char*
  * Added usb_cam namespace
  * Added underscore sufix to class fields
  * Removed camera_ prefix from methods
  * Moved methods to parse pixel_format and io_method from string to UsbCam
  * Moved camera_image_t struct to be private in UsbCam
  * Cleaned up parameter assignment
  * Made set_v4l_parameters a non-static function
  * Moved set_v4l_parameters to UsbCam object
  * Removed global state from usb_cam by encapsulating it inside an object
    function and structions in usb_cam.h became public and everything else is private
  * Merge pull request #28 from mitchellwills/develop
    Fix installation of header files
  * Fix installation of header files
  * Contributors: Mitchell Wills, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 26 Jan 2015 05:00:00 -0000

ros-indigo-usb-cam (0.2.0-0trusty) trusty; urgency=high

  * Bug fix in camera info settings.
  * Update .travis.yml
  * Merge pull request #27 from bosch-ros-pkg/default_camera_info
    sets default camera info
  * sets default camera info
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 16 Jan 2015 05:00:00 -0000

ros-indigo-usb-cam (0.1.13-0trusty) trusty; urgency=high

  * Merge pull request #25 from blutack/patch-1
    Warn rather than error if framerate can't be set
  * Warn rather than error if framerate can't be set
    The driver doesn't currently work with em28xx based devices as they don't allow the framerate to be set directly and the node exits with an error. Changing to a warning allows these devices to be used.
  * Update README.md
  * Merge pull request #24 from rjw57/do-not-touch-parameters-unless-asked
    do not modify parameters unless explicitly set
  * do not modify parameters unless explicitly set
    The contrast, saturation, brightness, sharpness and focus parameters
    were recently added to usb_cam. This caused a regression
    (sigproc/robotic_surgery#17) whereby the default settings for a webcam
    are overridden in all cases by the hard-coded defaults in usb_cam.
    In the absence of a know good set of "default" values, leave the
    parameters unset unless the user has explicitly set them in the launch
    file.
  * Contributors: Rich Wareham, Russell Toris, blutack

 -- Russell Toris <rctoris@wpi.edu>  Tue, 02 Dec 2014 05:00:00 -0000

ros-indigo-usb-cam (0.1.12-0trusty) trusty; urgency=high

  * Merge pull request #22 from dekent/develop
    White balance parameters
  * Parameter to enable/disable auto white balance
  * Added parameters for white balance
  * uses version major to check for av_codec
  * uses version header to check for AV_CODEC_ID_MJPEG
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 05 Nov 2014 05:00:00 -0000

ros-indigo-usb-cam (0.1.11-0trusty) trusty; urgency=high

  * Merge pull request #20 from dekent/develop
    More Parameters
  * bug fix
  * Setting focus when autofocus is disabled
  * Parameter adjusting
  * Added parameter setting for absolute focus, brightness, contrast, saturation, and sharpness
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 30 Oct 2014 04:00:00 -0000

ros-indigo-usb-cam (0.1.10-0trusty) trusty; urgency=high

  * Merge pull request #19 from bosch-ros-pkg/av_codec_id
    Removed deprecated CODEC_ID
  * added legacy macro constants for libav 10
  * Renamed deprecated CODEC_ID constants to AV_CODEC_ID to fix compilation for libav 10
  * Contributors: Andrzej Pronobis, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 24 Oct 2014 04:00:00 -0000

ros-indigo-usb-cam (0.1.9-0trusty) trusty; urgency=high

  * Uses ros::Rate to enforce software framerate instead of custom time check
  * Merge pull request #16 from liangfok/feature/app_level_framerate_control
    Modified to enforce framerate control at the application level in additi...
  * Modified to enforce framerate control at the application level in addition to at the driver level.  This is necessary since the drivers for my webcam did not obey the requested framerate.
  * Contributors: Russell Toris, liang

 -- Russell Toris <rctoris@wpi.edu>  Tue, 26 Aug 2014 04:00:00 -0000

ros-indigo-usb-cam (0.1.8-0trusty) trusty; urgency=high

  * autoexposure and exposure settings now exposed via ROS parameters
  * added ability to call v4l-utils as well as correctly set autofocus
  * cleanup of output
  * Merge pull request #15 from mistoll/develop
    added support for RGB24 pixel format
  * Added RGB24 as pixel format

